Package cds.healpix

# Enum Class CompassPoint.Ordinal

java.lang.Object
java.lang.Enum<CompassPoint.Ordinal>
cds.healpix.CompassPoint.Ordinal

All Implemented Interfaces:
  `Serializable`, `Comparable<CompassPoint.Ordinal>`, `Constable`

Enclosing class:
  `CompassPoint`

public static enum CompassPoint.Ordinal extends Enum<CompassPoint.Ordinal>
Enum defining the compass ordinal points.

Author:
  F.-X. Pineau

## Nested Class Summary

## Nested classes/interfaces inherited from class java.lang.Enum

`Enum.EnumDesc<E extends Enum<E>>`

## Enum Constant Summary

Enum Constants
Enum Constant
Description
`NE`
Northeast.
`NW`
Northwest.
`SE`
Southeast.
`SW`
Southwest.

## Method Summary

Modifier and Type
Method
Description
`static CompassPoint.Ordinal`
`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static CompassPoint.Ordinal[]`
`values()`
Returns an array containing the constants of this enum class, in the order they are declared.

### Methods inherited from class java.lang.Enum

`compareTo, describeConstable, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

### Methods inherited from class java.lang.Object

`getClass, notify, notifyAll, wait, wait, wait`

## Enum Constant Details

### NE

public static final CompassPoint.Ordinal NE
Northeast.

### SE

public static final CompassPoint.Ordinal SE
Southeast.

### SW

public static final CompassPoint.Ordinal SW
Southwest.

### NW

public static final CompassPoint.Ordinal NW
Northwest.

## Method Details

### values

public static CompassPoint.Ordinal[] values()
Returns an array containing the constants of this enum class, in the order they are declared.

Returns:
  an array containing the constants of this enum class, in the order they are declared

### valueOf

public static CompassPoint.Ordinal valueOf(String name)
Returns the enum constant of this class with the specified name. The string must match exactly an identifier used to declare an enum constant in this class. (Extraneous whitespace characters are not permitted.)

Parameters:
  `name` - the name of the enum constant to be returned.
Returns:
  the enum constant with the specified name
Throws:
  `IllegalArgumentException` - if this enum class has no constant with the specified name
  `NullPointerException` - if the argument is null